Description

Finding the new xyz connection is only possible in the browser dock, it should at least be also in unified button, and for the sake of UI

consistency be in Menu/Layer and associated toolbar (which I agree is already too crowded).

History

#1 - 2017-07-17 11:22 AM - Alessandro Pasotti

- Tracker changed from Bug report to Feature request

This is more a feature request than a bug: the XYZ provider source select dialog was never implemented, for this reason it was never included into the new

unified dialog.

BTW, the original idea of the new unified dialog was to eventually get rid of all the individual provider dialogs and rely on the browser only (this was named

"phase 2" in the original specification document), that is not currently possible because not all the provider dialogs are available from the browser.

#2 - 2017-07-17 05:29 PM - Jürgen Fischer

- Subject changed from Native XYZ provider only appears in brower. It should also be listed in new unified button to Native XYZ provider only appears in 

browser. It should also be listed in new unified button

#3 - 2019-03-01 11:09 AM - Johannes Kroeger

Just ran into this a) with a user who asked me and then b) I also was confused until I googled "xyz tiles qgis" to find that it is only available in the browser.

For discoverability and user-friendliness it would be great to unify this.
